<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-637"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20_XHXTextKeyboardViewFrameObserver%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: _XHXTextKeyboardViewFrameObserver类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface___x_h_x_text_keyboard_view_frame_observer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="#properties">属性</a> |
<a href="interface___x_h_x_text_keyboard_view_frame_observer-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">_XHXTextKeyboardViewFrameObserver类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p>Observer for view&#39;s frame/bounds/center/transform  
 <a href="interface___x_h_x_text_keyboard_view_frame_observer.html#details">更多...</a></p>
<div class="dynheader">
类 _XHXTextKeyboardViewFrameObserver 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface___x_h_x_text_keyboard_view_frame_observer.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:ae0f548d2f488e7c80176e5bc08036b7e"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface___x_h_x_text_keyboard_view_frame_observer.html#ae0f548d2f488e7c80176e5bc08036b7e">addToKeyboardView:</a></td></tr>
<tr class="separator:ae0f548d2f488e7c80176e5bc08036b7e"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:af90bbd1510cb2260c646f18c4015ebac"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface___x_h_x_text_keyboard_view_frame_observer.html#af90bbd1510cb2260c646f18c4015ebac">observerForView:</a></td></tr>
<tr class="separator:af90bbd1510cb2260c646f18c4015ebac"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a595de510eb2e5218fc4f387e8a7df2a0"><td class="memItemLeft" align="right" valign="top">void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface___x_h_x_text_keyboard_view_frame_observer.html#a595de510eb2e5218fc4f387e8a7df2a0">notifyBlock</a> )(UIView *keyboard)</td></tr>
<tr class="separator:a595de510eb2e5218fc4f387e8a7df2a0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock"><p>Observer for view&#39;s frame/bounds/center/transform </p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ae0f548d2f488e7c80176e5bc08036b7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0f548d2f488e7c80176e5bc08036b7e">◆&nbsp;</a></span>addToKeyboardView:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void) addToKeyboardView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>keyboardView</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">
<b>初始值:</b><div class="fragment"><div class="line">{</div>
<div class="line">    __unsafe_unretained UIView *_keyboardView</div>
</div><!-- fragment -->
</div>
</div>
<a id="af90bbd1510cb2260c646f18c4015ebac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af90bbd1510cb2260c646f18c4015ebac">◆&nbsp;</a></span>observerForView:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) observerForView: </td>
          <td></td>
          <td class="paramtype">(UIView *)&nbsp;</td>
          <td class="paramname"><em>keyboardView</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a595de510eb2e5218fc4f387e8a7df2a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a595de510eb2e5218fc4f387e8a7df2a0">◆&nbsp;</a></span>notifyBlock</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (void(^ notifyBlock) (UIView *keyboard))</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/KeyboardManager/<a class="el" href="_x_h_x_text_keyboard_manager_8m.html">XHXTextKeyboardManager.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface___x_h_x_text_keyboard_view_frame_observer.html">_XHXTextKeyboardViewFrameObserver</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>